Skip to main content
`Ctrl`+`K`

# PetscLogObjectDestroy

Logs the destruction of a `PetscObject`

## Synopsis

    #include <petsclog.h>
    PetscErrorCode PetscLogObjectDestroy(PetscObject h)

Not Collective

## Input Parameters

- h - A `PetscObject`

## Developer Note

Called internally by PETSc when destroying objects: users do not need to call this directly. Notification of the object creation is sent to each `PetscLogHandler` that is running.

## See Also

Profiling, `PetscLogHandler`, `PetscLogObjectCreate()`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages